curl --request GET \
--url https://tag.alfa-bot.com/api/prod/v1/exchange-transactions \
--header 'token: <api-key>'import requests
url = "https://tag.alfa-bot.com/api/prod/v1/exchange-transactions"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://tag.alfa-bot.com/api/prod/v1/exchange-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "200",
"error_code": null,
"error_message": null,
"data": {
"count": 98,
"transactions": [
{
"transaction_id": "596762840923",
"network_to": "trx",
"network_from": "eth",
"currency_to": "USDT",
"currency_from": "USDC",
"status": "completed",
"amount_from": 12,
"amount_to": 11.987,
"fee": 0.011,
"rate": 0.9999,
"created_at": "2026-05-02 15:10:25.922888"
}
],
"result": "success"
}
}{
"code": "400",
"error_code": "request",
"error_message": "Validation failed: invalid filter or pagination parameters",
"data": {
"created_from": "Must be valid ISO 8601 date-time",
"created_to": "Must be valid ISO 8601 date-time",
"limit": "Maximum value is 300. Default value is 100",
"offset": "Must be greater than or equal to 0",
"sort_direction": "Allowed values: asc, desc"
}
}{
"code": "500",
"error_code": "system",
"error_message": "Unexpected server error. Please try again later.",
"data": null
}Get exchange transaction list
Authorizations
Pass your API token in the token request header.
Query Parameters
Exchange transaction ID filter.
Pagination limit. Maximum value is 300. Default value is 100.
1 <= x <= 300Source network filter. Use one of the supported network codes.
"eth"
Destination network filter. Use one of the supported network codes.
"trx"
Pagination offset. Must be greater than or equal to 0.
x >= 0Exchange transaction status filter.
"completed"
Source currency/token filter. Use one of the supported currency codes.
"USDC"
Destination currency/token filter. Use one of the supported currency codes.
"USDT"
Sort direction.
asc, desc Sort field.
"created_at"
Start date filter in ISO 8601 format. Example: 2025-05-01T00:00:19.662Z.
End date filter in ISO 8601 format. Example: 2025-05-01T00:00:19.662Z.
Response
OK - exchange transaction list was returned successfully